Bug 494871 - Amarok's last.fm scrobbling doesn't work
Amarok's last.fm scrobbling doesn't work
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: amarok (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Extras Quality Assurance
https://bugs.kde.org/show_bug.cgi?id=...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-08 09:49 EDT by Kvikende
Modified: 2009-04-27 17:28 EDT (History)
4 users (show)

See Also:
Fixed In Version: 2.0.2-6.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-27 17:28:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 188678 None None None Never

  None (edit)
Description Kvikende 2009-04-08 09:49:49 EDT
User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; nn-NO; rv:1.9.0.8) Gecko/2009032713 Fedora/3.0.8-1.fc10 Firefox/3.0.8

When I listen to a track in Amarok with my last.fm account enabled it won't send in the songs I listen to.

Upstream is aware and have a patch according to:
https://bugs.kde.org/show_bug.cgi?id=188678

As I understood it every distro has to patch their Amarok.

Reproducible: Always

Steps to Reproduce:
1. Make a Last.fm account, set it up in Amarok so it should scrobble (send in) the tracks you listen to
2. Listen to a song
Actual Results:  
On the Last.fm page it will not show which tracks you've listened to.

Expected Results:  
On the Last.fm page it should show which tracks you've listened to.
Comment 1 Rex Dieter 2009-04-08 13:10:40 EDT
* Wed Apr 08 2009 Rex Dieter <rdieter@fedoraproject.org> 2.0.2-6
- fix lastfm (kdebug#188678, rhbz#494871)
- fix qtscriptgenerator/qtscriptbindings deps

fixed in cvs/rawhide.

I'll work on F-10 builds shortly.
Comment 2 Fedora Update System 2009-04-09 11:11:06 EDT
amarok-2.0.2-6.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/amarok-2.0.2-6.fc10
Comment 3 Fedora Update System 2009-04-17 14:06:34 EDT
amarok-2.0.2-6.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update amarok'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-3742
Comment 4 Fedora Update System 2009-04-27 17:27:55 EDT
amarok-2.0.2-6.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.